'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'IIIIIIIIIIIIIII      DEMO ZUM LCD-TREIBER                 IIIIIIIIIIII
'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
' CONRAD ELECRONIC 7.02 (DH)
'Dies ist eine Demo zum LCD-Treiber LCDDRV11.S19 fr C-Control zusammen
'mit einem Applicationboard.
'Die Treiber fr das LCD sind ursprnglich in BASIC geschrieben und deshalb
'entsprechend langsam.
'Wenn sie in Ihre C-Control keine anderen Maschinentreiber (z.B. fr den 2W-Bus)
'laden mssen, so verwenden Sie diesen Treiber.Damit werden die wichtigsten
'Routinen als Maschinencode ausgefhrt und sind deshalb erheblich schneller.
'So bentigt z.B. das Schreiben von 16 Zeichen nur 10ms statt 170ms
'
'Zustzlich werden einige Funtkionen zur Formatierung angeboten
'
'LCD_INIT          Initialisierung
'LCD_CLR           LCD lschen, Cursor auf Z1,S1
'LCD_LINE1         Cursor auf Z1,S1
'LCD_LINE2         Cursor auf Z2,S1
'LCD_POSL1         Cursor auf Z1,Sx
'LCD_POSL2         Cursor auf Z2,Sx
'LCD_SCRL          Scroll links
'LCD_SCRR          Scroll rechts
'LCD_BAR           Bargraph ausgeben (ab Cursorposition)
'LCD_BIN           einen Wert in Binrdarstelleung ausgeben(ab Cursorposition)
'LCD_DEZ           einen Wert dezimal ausgeben(ab Cursorposition)
'LCD_WRT           einen Character ausgeben(ab Cursorposition)
'LCD_PRINT         mit dem Print-Befehl auf das LCD schreiben(ab Cursorposition)

'Zum Gebrauch der Routinen sehen Sie sich bitte die Beispiele an,


'--------------------------
'------ I/O PORTS ---------
'--------------------------
define p        port[8]
'--------------------------
'---- SYSTEM MEMORY -------
'--------------------------
'---- LCD PARMAMETERS -----
define  LINE     byte[1]
define  CHAR     byte[1]
define  POS      byte[1]
define  BARS     byte[1]
define  BIN      byte[1]
define  DEZ      byte[1]
'-- LCD SYSTEM ADDR -----
define LCD_INIT   &H101
define LCD_CLR    &H11D
define LCD_LINE1  &H125
define LCD_LINE2  &H12A
define LCD_POSL1  &H12F
define LCD_POSL2  &H133
define LCD_SCRL   &H13B
define LCD_SCRR   &H140
define LCD_BAR    &H145
define LCD_BIN    &H154
define LCD_DEZ    &H1C3
define LCD_WRT    &H1A4
define LCD_PRINT  &H179
'----- PROGRAMM ---------
define  GP1      byte[2]




'------------------- INIT LCD --------------------------------
SYS &H101
'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'IIIIIIIIII           RUN DEMO                IIIIIIIIIIIIIIII
'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII

'----------- MIT PRINT IN ZEILE SCHREIBEN --------------------
SYS LCD_LINE1:sys LCD_PRINT:print"ZEILE 1":pause 100
SYS LCD_LINE2:SYS LCD_PRINT:print"ZEILE 2":pause 100:SYS LCD_CLR
'------------ MIT POS IN SPALTE POSITIONIEREN ----------------
POS=4:SYS LCD_POSL1:sys LCD_PRINT:print"L1-POS4":pause 100
POS=5:SYS LCD_POSL2:sys LCD_PRINT:print"L2-POS5":pause 100:SYS LCD_CLR
'---------------- EINEN BARGRAPH ERZEUGEN ---------------------
SYS LCD_LINE1:BARS=5:SYS LCD_BAR
SYS LCD_LINE2:BARS=10:SYS LCD_BAR:pause 100
'------------------ EINE ZEILE LSCHEN  ------------------------
SYS LCD_LINE1:sys LCD_PRINT:print"                ":pause 100
'---------------- EINEN ZEILENBEREICH LSCHEN ------------------
POS=3:SYS LCD_POSL2:sys LCD_PRINT:print" ":pause 100:SYS LCD_CLR
'---------------- EINE ZAHL BINR AUSGEBEN -------------------
SYS LCD_LINE1:BIN=&H55:SYS LCD_BIN
SYS LCD_LINE2:BIN=&HAA:SYS LCD_BIN:pause 100:SYS LCD_CLR
'--------------- EINE ZAHL DEZIMAL AUSGEBEN -------------------
#tt
for gp1=0 to 255
POS=3:SYS LCD_POSL2:DEZ=GP1:SYS LCD_DEZ
next
pause 100:SYS LCD_CLR
'-------------- TEXT IM DISPLAY SCROLLEN -----------------------
SYS LCD_LINE1:sys LCD_PRINT:print"WEIL NICHT ALLES IN EINE ZEILE PASST":
for gp1=1 to 22
SYS LCD_SCRL:pause 10
next
pause 100:SYS LCD_CLR
'--------- EINEN CHARACTER DIREKT INS DISPLAY SCHREIBEN --------
CHAR=&H41:SYS LCD_WRT:pause 100:SYS LCD_CLR
'---------------- AM ENDE DIE ZEIT ANZEIGEN -----------------
#t
POS=5:SYS LCD_POSL1
DEZ=hour:SYS LCD_DEZ
CHAR=&H3A:SYS LCD_WRT
DEZ=minute:SYS LCD_DEZ
CHAR=&H3A:SYS LCD_WRT
DEZ=second:SYS LCD_DEZ
'-------------- UND NATRLICH NOCH DAS DATUM ---------------
POS=4:SYS LCD_POSL2
DEZ=DAY:SYS LCD_DEZ
CHAR=&H2D:SYS LCD_WRT
DEZ=MONTH:SYS LCD_DEZ
CHAR=&H2D:SYS LCD_WRT
DEZ=20:SYS LCD_DEZ
DEZ=02:SYS LCD_DEZ
goto t



'--------------- DISPLAY TREIBER ----------------------
'syscode "lcddrv11.s19"
